[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/java-1.4.2-gcj-compat/devel java-1.4.2-gcj-compat.spec, 1.165, 1.166



Author: fitzsim

Update of /cvs/dist/rpms/java-1.4.2-gcj-compat/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv9839

Modified Files:
	java-1.4.2-gcj-compat.spec 
Log Message:
* Mon Aug 14 2006 Thomas Fitzsimmons <fitzsim redhat com> - 0:1.4.2.0-40jpp_101rh
- Add libgcj-devel to devel and src post and postun
  requirements. (202007)
- Require libgcj in plugin package. (202268)




Index: java-1.4.2-gcj-compat.spec
===================================================================
RCS file: /cvs/dist/rpms/java-1.4.2-gcj-compat/devel/java-1.4.2-gcj-compat.spec,v
retrieving revision 1.165
retrieving revision 1.166
diff -u -r1.165 -r1.166
--- java-1.4.2-gcj-compat.spec	4 Aug 2006 10:24:21 -0000	1.165
+++ java-1.4.2-gcj-compat.spec	14 Aug 2006 18:59:44 -0000	1.166
@@ -15,7 +15,7 @@
 
 %define name		java-%{javaver}-%{origin}-compat
 %define version		%{javaver}.%{buildver}
-%define release 	40jpp_100rh
+%define release 	40jpp_101rh
 %define cname           java-%{javaver}-%{origin}
 
 %define	sdklnk		java-%{javaver}-%{origin}
@@ -90,6 +90,9 @@
 Requires:	gcc%{gccsuffix}-java >= %{gccver}
 Requires(post): gcc%{gccsuffix}-java >= %{gccver}
 Requires(postun): gcc%{gccsuffix}-java >= %{gccver}
+# workaround for 202007
+Requires(post): libgcj%{gccsuffix}-devel >= %{gccver}
+Requires(postun): libgcj%{gccsuffix}-devel >= %{gccver}
 Obsoletes:	java-1.4.2-gcj4-compat-devel <= 1.4.2.0-4jpp_2rh
 
 %description devel
@@ -104,6 +107,9 @@
 Requires:	libgcj%{gccsuffix}-src >= %{gccver}
 Requires(post): gcc%{gccsuffix}-java >= %{gccver}
 Requires(postun): gcc%{gccsuffix}-java >= %{gccver}
+# workaround for 202007
+Requires(post): libgcj%{gccsuffix}-devel >= %{gccver}
+Requires(postun): libgcj%{gccsuffix}-devel >= %{gccver}
 
 %description src
 This package installs a versionless src.zip symlink that points to a
@@ -125,6 +131,7 @@
 Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
 Requires:	%{name} = %{epoch}:%{version}-%{release}
 Requires:       %{_sbindir}/update-alternatives
+Requires:	libgcj%{gccsuffix} >= %{gccver}
 Requires(post):       %{_sbindir}/update-alternatives
 Requires(postun):     %{_sbindir}/update-alternatives
 Requires(post): libgcj%{gccsuffix} >= %{gccver}
@@ -642,6 +649,11 @@
 %defattr(-,root,root)
 
 %changelog
+* Mon Aug 14 2006 Thomas Fitzsimmons <fitzsim redhat com> - 0:1.4.2.0-40jpp_101rh
+- Add libgcj-devel to devel and src post and postun
+  requirements. (202007)
+- Require libgcj in plugin package. (202268)
+
 * Fri Aug  4 2006 Gary Benson <gbenson redhat com>
 - Move aot-compile and its libraries to the devel subpackage.
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]